FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007060343.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007060343.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=40b1b22 OS_GIT_VERSION=4.4.0-202007060343.p0-40b1b22 SOURCE_DATE_EPOCH=1578929545 SOURCE_GIT_COMMIT=40b1b225e14d3a6f8fae427b05920fc5bf667798 SOURCE_GIT_TAG=v0.5.0-rc.0-227-g40b1b225 SOURCE_GIT_URL=https://github.com/openshift/thanos 
WORKDIR /go/src/github.com/improbable-eng/thanos
COPY . .
ENV GOFLAGS="-mod=vendor"
ENV GO111MODULE=on
ENV GOPROXY=direct
# Installing using the upstream Makefile doesn't work with older versions of Git and newer versions of Go.
# Instead install promu from the upstream tarball.
# For downstream builds, promu is available from the package repositories.
RUN if ! yum install -y prometheus-promu; then \
        curl -s -L https://github.com/prometheus/promu/releases/download/v0.5.0/promu-0.5.0.linux-amd64.tar.gz | tar -xzvf - -C /usr/bin  --strip-components 1 promu-0.5.0.linux-amd64/promu; \
    fi; \
    promu build;
FROM openshift/ose-base:v4.4.0.20200706.034325
ENV __doozer=update BUILD_RELEASE=202007060343.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007060343.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=40b1b22 OS_GIT_VERSION=4.4.0-202007060343.p0-40b1b22 SOURCE_DATE_EPOCH=1578929545 SOURCE_GIT_COMMIT=40b1b225e14d3a6f8fae427b05920fc5bf667798 SOURCE_GIT_TAG=v0.5.0-rc.0-227-g40b1b225 SOURCE_GIT_URL=https://github.com/openshift/thanos 

COPY --from=builder /go/src/github.com/improbable-eng/thanos/thanos /bin/thanos

USER       nobody
ENTRYPOINT [ "/bin/thanos" ]

LABEL \
        io.k8s.display-name="OpenShift Thanos" \
        io.k8s.description="Highly available Prometheus setup with long term storage capabilities." \
        io.openshift.tags="prometheus,monitoring" \
        maintainer="OpenShift Development <dev@lists.openshift.redhat.com>" \
        version="v4.4.0" \
        name="openshift/ose-thanos" \
        com.redhat.component="ose-thanos-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202007060343.p0" \
        io.openshift.build.commit.id="40b1b225e14d3a6f8fae427b05920fc5bf667798" \
        io.openshift.build.source-location="https://github.com/openshift/thanos" \
        io.openshift.build.commit.url="https://github.com/openshift/thanos/commit/40b1b225e14d3a6f8fae427b05920fc5bf667798"

